Bug 263968 (kf5-5.94.0) - [exp-run] Update KDE Frameworks to 5.94.0
Summary: [exp-run] Update KDE Frameworks to 5.94.0
Status: Closed FIXED
Alias: kf5-5.94.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-14 11:05 UTC by Tobias C. Berner
Modified: 2022-05-20 04:18 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (76.23 KB, patch)
2022-05-14 11:05 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2022-05-14 11:05:47 UTC
Created attachment 233906 [details]
v1

Moin moin 

kde@ would like to ask for an exp-run to update KDE Frameworks to 5.94.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/0001-KDE-Update-KDE-Frameworks-to-5.94.patch

mfg Tobias
Comment 2 commit-hook freebsd_committer 2022-05-18 19:50:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=09eefb3c9a100fd28268ad38b9a3623ffe46474f

commit 09eefb3c9a100fd28268ad38b9a3623ffe46474f
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2022-05-18 18:55:02 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-05-18 19:49:50 +0000

    misc/kdeedu-data:  prepare for KF5-5.94

    The previous work around to reduce dependencies is now breaking
    the configure stage due to changes upstream.

    PR:             263968

 misc/kdeedu-data/Makefile | 7 -------
 1 file changed, 7 deletions(-)
Comment 3 commit-hook freebsd_committer 2022-05-18 19:50:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3cd5b70bf6aa5f5dc185590ca50af86ee08c2492

commit 3cd5b70bf6aa5f5dc185590ca50af86ee08c2492
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2022-05-18 19:08:12 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-05-18 19:49:51 +0000

    math/labplot: prepare for KF5-5.94

    PR:             263968

 math/labplot/Makefile | 4 ++++
 math/labplot/distinfo | 6 +++++-
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 4 commit-hook freebsd_committer 2022-05-18 19:50:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b519384ae9f96df57ca74449aa53ec70e9a250c3

commit b519384ae9f96df57ca74449aa53ec70e9a250c3
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2022-05-18 18:53:57 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-05-18 19:49:50 +0000

    x11-themes/plasma5-plasma-workspace-wallpapers: prepare for KF5-5.94

    The previous work around to reduce dependencies is now breaking
    the configure stage due to changes upstream.

    PR:             263968

 x11-themes/plasma5-plasma-workspace-wallpapers/Makefile | 7 -------
 1 file changed, 7 deletions(-)
Comment 5 commit-hook freebsd_committer 2022-05-18 19:50:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0264cd941160ab8b21e72a2389f83551dd368321

commit 0264cd941160ab8b21e72a2389f83551dd368321
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2022-05-18 19:29:19 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-05-18 19:49:51 +0000

    devel/qtcreator: prepare for KF5-5.94

    PR:             263968

 devel/qtcreator/Makefile | 4 ++++
 1 file changed, 4 insertions(+)
Comment 6 Tobias C. Berner freebsd_committer 2022-05-18 19:54:36 UTC
@antoine the four failures should be addressed now.
Comment 7 Antoine Brodin freebsd_committer 2022-05-19 19:21:11 UTC
This looks fine
Comment 8 commit-hook freebsd_committer 2022-05-20 04:11:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ac6754ec21976fcf237fcdfb3c9071933a9ad10c

commit ac6754ec21976fcf237fcdfb3c9071933a9ad10c
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2022-05-09 16:26:24 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-05-20 04:10:32 +0000

    KDE: Update KDE Frameworks to 5.94

    Saturday, 14 May 2022

    KDE today announces the release of KDE Frameworks 5.94.0.

    KDE Frameworks are 83 addon libraries to Qt which provide a wide variety
    of commonly needed functionality in mature, peer reviewed and well
    tested libraries with friendly licensing terms. For an introduction see
    the KDE Frameworks release announcement.

    This release is part of a series of planned monthly releases making
    improvements available to developers in a quick and predictable manner.

    Changelog:      https://kde.org/announcements/frameworks/5/5.94.0/
    PR:             263968
    Exp-run by:     antoine

 Mk/Uses/kde.mk                             |  2 +-
 archivers/kf5-karchive/distinfo            |  6 ++---
 devel/kf5-extra-cmake-modules/distinfo     |  6 ++---
 devel/kf5-kapidox/distinfo                 |  6 ++---
 devel/kf5-kauth/distinfo                   |  6 ++---
 devel/kf5-kbookmarks/distinfo              |  6 ++---
 devel/kf5-kcmutils/distinfo                |  6 ++---
 devel/kf5-kcmutils/pkg-plist               | 11 ++++++++
 devel/kf5-kconfig/distinfo                 |  6 ++---
 devel/kf5-kcoreaddons/distinfo             |  6 ++---
 devel/kf5-kcrash/distinfo                  |  6 ++---
 devel/kf5-kdbusaddons/distinfo             |  6 ++---
 devel/kf5-kdeclarative/distinfo            |  6 ++---
 devel/kf5-kdoctools/distinfo               |  6 ++---
 devel/kf5-kfilemetadata/distinfo           |  6 ++---
 devel/kf5-kfilemetadata/pkg-plist          |  1 +
 devel/kf5-ki18n/distinfo                   |  6 ++---
 devel/kf5-kidletime/distinfo               |  6 ++---
 devel/kf5-kio/distinfo                     |  6 ++---
 devel/kf5-kitemmodels/distinfo             |  6 ++---
 devel/kf5-knewstuff/distinfo               |  6 ++---
 devel/kf5-knotifications/distinfo          |  6 ++---
 devel/kf5-knotifyconfig/distinfo           |  6 ++---
 devel/kf5-kpackage/distinfo                |  6 ++---
 devel/kf5-kparts/distinfo                  |  6 ++---
 devel/kf5-kpeople/distinfo                 |  6 ++---
 devel/kf5-kpty/distinfo                    |  6 ++---
 devel/kf5-kservice/distinfo                |  6 ++---
 devel/kf5-ktexteditor/distinfo             |  6 ++---
 devel/kf5-kunitconversion/distinfo         |  6 ++---
 devel/kf5-solid/distinfo                   |  6 ++---
 devel/kf5-threadweaver/distinfo            |  6 ++---
 dns/kf5-kdnssd/distinfo                    |  6 ++---
 graphics/kf5-kimageformats/distinfo        |  6 ++---
 graphics/kf5-kplotting/distinfo            |  6 ++---
 graphics/kf5-kquickcharts/distinfo         |  6 ++---
 graphics/kf5-prison/distinfo               |  6 ++---
 lang/kf5-kross/distinfo                    |  6 ++---
 misc/kf5-purpose/distinfo                  |  6 ++---
 misc/kf5-purpose/pkg-plist                 |  8 +++++-
 multimedia/kf5-kmediaplayer/distinfo       |  6 ++---
 net/kf5-kcalendarcore/distinfo             |  6 ++---
 net/kf5-kcontacts/distinfo                 |  6 ++---
 net/kf5-kdav/distinfo                      |  6 ++---
 net/kf5-kholidays/distinfo                 |  6 ++---
 net/kf5-kxmlrpcclient/distinfo             |  6 ++---
 net/kf5-syndication/distinfo               |  6 ++---
 security/kf5-kdesu/distinfo                |  6 ++---
 sysutils/kf5-baloo/distinfo                |  6 ++---
 sysutils/kf5-baloo/pkg-plist               |  3 +++
 sysutils/kf5-kwallet/distinfo              |  6 ++---
 sysutils/kf5-kwallet/pkg-plist             |  2 ++
 textproc/kf5-kcodecs/distinfo              |  6 ++---
 textproc/kf5-sonnet/distinfo               |  6 ++---
 textproc/kf5-syntax-highlighting/distinfo  |  6 ++---
 textproc/kf5-syntax-highlighting/pkg-plist | 43 ++++++++----------------------
 www/kf5-kdewebkit/distinfo                 |  6 ++---
 www/kf5-khtml/distinfo                     |  6 ++---
 www/kf5-kjs/distinfo                       |  6 ++---
 www/kf5-kjsembed/distinfo                  |  6 ++---
 x11-themes/kf5-breeze-icons/distinfo       |  6 ++---
 x11-themes/kf5-breeze-icons/pkg-plist      |  8 ++++++
 x11-themes/kf5-kemoticons/distinfo         |  6 ++---
 x11-themes/kf5-kiconthemes/distinfo        |  6 ++---
 x11-themes/kf5-oxygen-icons5/Makefile      |  4 +--
 x11-themes/kf5-oxygen-icons5/distinfo      |  6 ++---
 x11-themes/kf5-qqc2-desktop-style/distinfo |  6 ++---
 x11-toolkits/kf5-attica/distinfo           |  6 ++---
 x11-toolkits/kf5-kcompletion/distinfo      |  6 ++---
 x11-toolkits/kf5-kconfigwidgets/distinfo   |  6 ++---
 x11-toolkits/kf5-kdesignerplugin/distinfo  |  6 ++---
 x11-toolkits/kf5-kguiaddons/Makefile       |  3 ++-
 x11-toolkits/kf5-kguiaddons/distinfo       |  6 ++---
 x11-toolkits/kf5-kguiaddons/pkg-plist      |  1 -
 x11-toolkits/kf5-kirigami2/distinfo        |  6 ++---
 x11-toolkits/kf5-kirigami2/pkg-plist       |  1 +
 x11-toolkits/kf5-kitemviews/distinfo       |  6 ++---
 x11-toolkits/kf5-kjobwidgets/distinfo      |  6 ++---
 x11-toolkits/kf5-ktextwidgets/distinfo     |  6 ++---
 x11-toolkits/kf5-kwidgetsaddons/distinfo   |  6 ++---
 x11-toolkits/kf5-kwidgetsaddons/pkg-plist  |  2 ++
 x11-toolkits/kf5-kxmlgui/Makefile          |  6 ++---
 x11-toolkits/kf5-kxmlgui/distinfo          |  6 ++---
 x11/kf5-frameworkintegration/distinfo      |  6 ++---
 x11/kf5-kactivities-stats/distinfo         |  6 ++---
 x11/kf5-kactivities/distinfo               |  6 ++---
 x11/kf5-kded/distinfo                      |  6 ++---
 x11/kf5-kdelibs4support/distinfo           |  6 ++---
 x11/kf5-kglobalaccel/distinfo              |  6 ++---
 x11/kf5-kinit/distinfo                     |  6 ++---
 x11/kf5-krunner/distinfo                   |  6 ++---
 x11/kf5-kwayland/distinfo                  |  6 ++---
 x11/kf5-kwindowsystem/distinfo             |  6 ++---
 x11/kf5-plasma-framework/distinfo          |  6 ++---
 x11/kf5-plasma-framework/pkg-plist         | 16 ++++++-----
 95 files changed, 303 insertions(+), 288 deletions(-)
Comment 9 Tobias C. Berner freebsd_committer 2022-05-20 04:18:50 UTC
Committed. Thanks for the exp-run.